Subject: Re: [PATCH] git-bundle: assorted fixes

From: Mark Levedahl <[email-masked]>
Date: Thu, 22 Feb 2007 22:37:53 -0500

Johannes Schindelin wrote:
> 
> On Thu, 22 Feb 2007, Mark Levedahl wrote:
> 
>> Johannes Schindelin wrote:
>>
>>> Mark wrote:
>>>
>>>> 2) git bundle verify reports only a single sha1 if prerequisites are 
>>>> not met.
>>> With the two follow-up patches I sent, this issue should be resolved, 
>>> no?
>>>
>>   I missed one of your patches, adding that, the problem is incompletely 
>> fixed: all missing commits are shown, but only as raw hashes (e.g., the 
>> 1-line commit message is not there to describe what is missing).
> 
> Okay, how about this on top:
> 
>

That works. I would change your error message slightly, perhaps...

diff --git a/builtin-bundle.c b/builtin-bundle.c
index d74afaa..e115feb 100644
--- a/builtin-bundle.c
+++ b/builtin-bundle.c
@@ -172,7 +172,7 @@ static int verify_bundle(struct bundle_header *header)
     struct object_array refs;
     struct commit *commit;
     int i, ret = 0, req_nr;
-   const char *message = "The bundle requires these lacking revs:";
+   const char *message = "Your repository lacks these prerequisite 
commits:";

     init_revisions(&revs, NULL);
     for (i = 0; i < p->nr; i++) {

Mark